Update Resident: Entrata
https://api.propexo.com/v1/residents/entrata/:id| Method |
|---|
| customers/updateCustomers |
| leads/updateLeads |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the resident
Request
This endpoint expects an object.
- Array [
- ]
The first name of the resident. This value maps to the firstName property of the Customer object
The middle name of the resident. This value maps to the middleName property of the Customer object
The last name of the resident. This value maps to the lastName property of the Customer object
The primary email address for the resident. This value maps to the email property of the Customer object
The date of birth of the resident. This value maps to the birthDate property of the Customer object.
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The country associated with the resident
The primary phone number for the resident.
events object[]deprecated
DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident
The Propexo unique identifier for the unit
The PMS id for the event type.
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
The Propexo unique identifier for the event. Only required if attempting to update an existing event.
custom_data objectdeprecated
Deprecated: Field is no longer applicable
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident
The first name of the resident. This value maps to the firstName property of the Customer object
The middle name of the resident. This value maps to the middleName property of the Customer object
The last name of the resident. This value maps to the lastName property of the Customer object
The primary email address for the resident. This value maps to the email property of the Customer object
The date of birth of the resident. This value maps to the birthDate property of the Customer object.
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The country associated with the resident
The primary phone number for the resident.
events object[]
The Propexo unique identifier for the unit
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
The Propexo unique identifier for the event. Only required if attempting to update an existing event.
custom_data objectdeprecated
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/entrata/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string",
"events": [
{
"unit_id": "string",
"x_type_id": "string",
"x_leasing_agent_id": "string",
"x_sub_type_id": "string",
"x_result_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"notes": "string",
"title": "string",
"reasons_for_event": "string",
"id": "string"
}
]
}
}